%global kf5_version_min 5.98.0

Name:           oxygen-sounds
Version:        5.27.10
Release:        2
Summary:        The Oxygen Sound Theme

License:        LGPL-3.0-or-later and CC0-1.0 and BSD-2-Clause
URL:            https://invent.kde.org/plasma/oxygen-sounds

%global verdir %(echo %{version} | cut -d. -f1-3)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif

Source0:        http://download.kde.org/%{stable}/plasma/%{verdir}/%{name}-%{version}.tar.xz

Provides:       oxygen-sound-theme = %{version}-%{release}
Obsoletes:      oxygen-sound-theme <= 5.24.50

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros >= %{kf5_version_min}
BuildRequires:  qt5-qtbase-devel

BuildArch:      noarch

%description
%{summary}.


%prep
%autosetup

%build
%{cmake_kf5}
%{cmake_build}


%install
%{cmake_install}


%files
%license LICENSES/*.txt
%{_kf5_datadir}/sounds/Oxygen-*


%changelog
* Fri Nov 15 2024 ChenYanpan <chenyanpan@xfusion.com> - 5.27.10-2
- adapt to the new CMake macros to fix build failure

* Mon Jan 08 2024 zhangxianting <zhangxianting@unintech.com> - 5.27.10-1
- Upgrade to 5.27.10

* Thu Sep 28 2023 misaka00251 <liuxin@iscas.ac.cn> - 5.27.6-1
- Upgrade to 5.27.6

* Mon Aug 22 2022 misaka00251 <misaka00251@misakanet.cn> - 5.25.5-1
- Init package
